Bug 707127

Summary: resource-agents rebase
Product: Red Hat Enterprise Linux 6 Reporter: Fabio Massimo Di Nitto <fdinitto>
Component: resource-agentsAssignee: Fabio Massimo Di Nitto <fdinitto>
Status: CLOSED ERRATA QA Contact: Cluster QE <mspqa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.2CC: agk, bcodding, cluster-maint, jkortus, lhh
Target Milestone: rcKeywords: Rebase
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: Rebase
Fixed In Version: resource-agents-3.9.2-1.el6 Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
This update fixes a few bugs, and will make future updates easier.
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-06 07:03:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Fabio Massimo Di Nitto 2011-05-24 03:04:55 EDT
Initial evaluation shows that we can rebase safely based on a new tarball
released from upstream.

Pros:

1) move to standalone tarball
2) kill patch queue from distcvs
3) simplify build / spec file
4) update all pacemaker (TechPreview) agents

Verification process:

from distcvs RHEL6 branch in current release:

sed -i -e 's#\-b .*##g' resource-agents.spec
make prep

diff -Naurd resource-agents-3.0.12 resource-agents-3.9.1 | filterdiff -i
'*rgmanager*' -x '*Makefile*' | less

rgmanager/src/resources/SAPDatabase:     resource-agents: Improve
LD_LIBRARY_PATH handling by SAP*
https://bugzilla.redhat.com/show_bug.cgi?id=705763
(security bug)

*.sl: moved back to rgmanager tree
missing *.sl scripts (upstream is in, needs backport to RHEL6)
https://bugzilla.redhat.com/show_bug.cgi?id=693518 (POST)

rgmanager/src/resources/ocf-shellfuncs: resource-agents: Add resource
type to logging

oracledb.sh.in: rhbz#633992

svclib_nfslock: rhbz#595455

tomcat-5.sh: rhbz#637802 (not in RHEL6)

config-utils.sh.in: rhbz#637802 (tomcat-5) and rhbz#667217

rhev-check.sh: RHEL6 specific patch, not upstream. (see rhbz#609497)

common: add license info to all agents (no code changes)

update: pacemaker agents, tech-preview

TODO: move rhev-check upstream and drop distcvs patch (Optional)
Comment 2 Fabio Massimo Di Nitto 2011-05-26 09:27:41 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This update fixes a few bugs, and will make future updates easier.
Comment 3 Fabio Massimo Di Nitto 2011-06-21 14:16:26 EDT
Unit test results:

> rgmanager/src/resources/ocf-shellfuncs: resource-agents: Add resource
> type to logging

Jun 21 20:13:53 rgmanager [ip] Link for eth0: Detected
Jun 21 20:13:53 rgmanager [ip] Link detected on eth0
Jun 21 20:14:13 rgmanager [ip] Checking 192.168.0.128, Level 0
Jun 21 20:14:13 rgmanager [ip] 192.168.0.128 present on eth0
Jun 21 20:14:13 rgmanager [ip] Link for eth0: Detected
Jun 21 20:14:13 rgmanager [ip] Link detected on eth0
Jun 21 20:14:23 rgmanager [ip] Checking 192.168.0.128, Level 10

now reports the agent name in []

> rhev-check.sh: RHEL6 specific patch, not upstream.

rpm -q -p resource-agents-3.9.1-1.el6.x86_64.rpm -l |grep rhev
/usr/sbin/rhev-check.sh
/usr/share/cluster/utils/rhev-check.sh

It´s now included upstream and not in a separate patch.
Comment 4 Fabio Massimo Di Nitto 2011-06-21 14:17:11 EDT
Items that need unit test results:

> oracledb.sh.in: rhbz#633992

> svclib_nfslock: rhbz#595455
Comment 5 Lon Hohberger 2011-06-21 16:07:06 EDT
I can't test 663992, so I reviewed the patch:

* In most cases, we now call 'stop_db immediate'.  During forceful shutdown, we switch to 'stop_db abort' if 'stop_db immediate fails'
Comment 6 Lon Hohberger 2011-06-21 16:44:12 EDT
I created an NFS failover service to test the svclib_nfslock changes.

* With no clients, the expectation was that there is no creation of /tmp/statd-*; this behavior worked correctly, although I did have to tweak /etc/sysconfig/nfs to disable NFS version 4 support in order to use it with the nfsexport/nfsclient mechanisms that use the nfslock="1" attribute.
Comment 8 Chris Feist 2011-07-21 12:17:19 EDT
*** Bug 698217 has been marked as a duplicate of this bug. ***
Comment 12 errata-xmlrpc 2011-12-06 07:03:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1580.html